{ mkDerivation, acid-state, aeson, amqp, base, bytestring, dhall
, hedgehog, hspec, hspec-hedgehog, lens, lens-aeson, lib, mtl
, pipes, safecopy, text, wreq
}:
mkDerivation {
  pname = "reddit-pub";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    acid-state aeson amqp base bytestring dhall lens lens-aeson mtl
    pipes safecopy text wreq
  ];
  executableHaskellDepends = [ base ];
  testHaskellDepends = [ base hedgehog hspec hspec-hedgehog ];
  license = "unknown";
  hydraPlatforms = lib.platforms.none;
}
